mailarchive of the ptxdist mailing list
 help / color / mirror / Atom feed
From: Alexander Aring <alex.aring@gmail.com>
To: ptxdist@pengutronix.de
Cc: Alexander Aring <alex.aring@gmail.com>
Subject: [ptxdist] [RFC] ptxd_make_dts_dtb: check on failure if dtc failed
Date: Tue,  8 Jul 2014 14:59:25 +0200	[thread overview]
Message-ID: <1404824365-7638-2-git-send-email-alex.aring@gmail.com> (raw)
In-Reply-To: <1404824365-7638-1-git-send-email-alex.aring@gmail.com>

This patch adds a error handling for the dtc and call a ptxd_bailout if
an error occur.

Signed-off-by: Alexander Aring <alex.aring@gmail.com>
---
 scripts/lib/ptxd_make_dts_dtc.sh | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/scripts/lib/ptxd_make_dts_dtc.sh b/scripts/lib/ptxd_make_dts_dtc.sh
index 24c5604..6a09cae 100644
--- a/scripts/lib/ptxd_make_dts_dtc.sh
+++ b/scripts/lib/ptxd_make_dts_dtc.sh
@@ -59,6 +59,10 @@ ptxd_make_dts_dtb() {
 	-I dts -O dtb -b 0 \
 	-o "${dts_dtb}" "${tmp_dts}"
 
+    if [ "$?" != "0" ]; then
+	ptxd_bailout "Unable to generate ${dts_dtb} file."
+    fi
+
     awk '{ \
 	    printf "%s", $1 ;  \
 	    for (i = 2; i <= NF; i++) { \
-- 
2.0.1


-- 
ptxdist mailing list
ptxdist@pengutronix.de

  reply	other threads:[~2014-07-08 13:00 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-07-08 12:59 [ptxdist] [RFC] ptxd_make_dts_dtb: error handling Alexander Aring
2014-07-08 12:59 ` Alexander Aring [this message]
2014-07-08 13:22   ` [ptxdist] [RFC] ptxd_make_dts_dtb: check on failure if dtc failed Marc Kleine-Budde
2014-07-08 13:24     ` Alexander Aring
2014-07-08 13:30       ` Marc Kleine-Budde
2014-07-08 13:46         ` Alexander Aring
2014-07-08 14:07           ` Marc Kleine-Budde

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1404824365-7638-2-git-send-email-alex.aring@gmail.com \
    --to=alex.aring@gmail.com \
    --cc=ptxdist@pengutronix.de \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox